package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WXOrgSector;
import com.sa.ibiz.demo.demo.service.dto.WXOrgSectorSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WXOrgSector] 服务对象接口
 */
public interface WXOrgSectorService extends IService<WXOrgSector>{

	boolean checkKey(WXOrgSector et);
	boolean update(WXOrgSector et);
	boolean create(WXOrgSector et);
	boolean getDraft(WXOrgSector et);
	boolean remove(WXOrgSector et);
		WXOrgSector get(WXOrgSector et);
    List<WXOrgSector> listDefault(WXOrgSectorSearchFilter filter) ;
	Page<WXOrgSector> searchDefault(WXOrgSectorSearchFilter filter);
	/**	 实体[WXOrgSector] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }